summaryrefslogtreecommitdiffstats
path: root/source/ap/ghostscript/ghostscript.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/ghostscript/ghostscript.SlackBuild')
-rwxr-xr-xsource/ap/ghostscript/ghostscript.SlackBuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/source/ap/ghostscript/ghostscript.SlackBuild b/source/ap/ghostscript/ghostscript.SlackBuild
index 52d85b3d..fa96e4bf 100755
--- a/source/ap/ghostscript/ghostscript.SlackBuild
+++ b/source/ap/ghostscript/ghostscript.SlackBuild
@@ -27,7 +27,7 @@ if [ -r gnu-ghostscript-*.tar.?z ]; then
SRCPREFIX="gnu-"
fi
VERSION=${VERSION:-$(echo $SRCPREFIX$PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,6 +79,10 @@ rm -rf freetype jpeg lcms2 libpng libtiff png tiff zlib
# Upstream patch to fix "Filter failed." issue:
zcat $CWD/ghostscript.fix.filter.failed.bc3df077.patch.gz | patch -p1 --verbose || exit 1
+# Upstream patches to fix printing PDF files:
+zcat $CWD/ghostscript.c8c01f8c4164bc10281d9e8f87cf96314d93104b.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/ghostscript.13418541a5ae19b15f51cbb87faf344902f5af98.patch.gz | patch -p1 --verbose || exit 1
+
# Regenerate ./configure. Needed if patched, or to prevent libtool mismatch.
autoreconf --force --install
( cd jbig2dec ; autoreconf --force --install )